# This file created by conda-build 24.5.1
# ------------------------------------------------

package:
  name: libwholegraph
  version: 24.08.00
source:
  path: /__w/wholegraph/wholegraph
build:
  ignore_run_exports_from:
    - nvcc_linux-aarch64
  number: 0
  string: cuda11_240808_gd2456f4_0
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h68df207_7
    - c-ares 1.32.3 h68df207_0
    - ca-certificates 2024.7.4 hcefe29a_0
    - cmake 3.30.2 h7042e5d_0
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.3 h50a48e9_0
    - libcurl 8.9.1 hfa30633_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h31becfc_2
    - libexpat 2.6.2 h2f0025b_0
    - libgcc-ng 14.1.0 he277a41_0
    - libgomp 14.1.0 he277a41_0
    - libnghttp2 1.58.0 hb0e430d_1
    - libssh2 1.11.0 h492db2e_0
    - libstdcxx-ng 14.1.0 h3f4de04_0
    - libuv 1.48.0 h31becfc_0
    - libzlib 1.3.1 h68df207_1
    - ncurses 6.5 h0425590_0
    - openssl 3.3.1 h68df207_2
    - rhash 1.4.4 h31becfc_0
    - xz 5.2.6 h9cdd2b7_0
    - zstd 1.5.6 h02f22dd_0
  host:
    - cuda-version 11.8 h70ddcb2_3
  run:
    - cuda-version >=11,<12.0a0
    - cudatoolkit
    - libraft =24.08
    - nccl >=2.9.9
about:
  home: https://rapids.ai/
  license: Apache-2.0
  license_file: ../../../LICENSE
  summary: libwholegraph library
extra:
  copy_test_source_files: true
  final: true
